## LassoIdWsf2DiscoRequestedService LassoIdWsf2DiscoRequestedService — <disco:RequestedService> |

## Functions

LassoIdWsf2DiscoRequestedService * | lasso_idwsf2_disco_requested_service_new ()

## Types and Values

struct | LassoIdWsf2DiscoRequestedService

## Description

Figure 148. Schema fragment for disco:RequestedService

    <xs:complexType name="RequestedServiceType">
      <xs:sequence>
        <xs:element ref="ServiceType" minOccurs="0" maxOccurs="unbounded" />

        <xs:element ref="ProviderID" minOccurs="0" maxOccurs="unbounded" />

        <xs:element ref="Options" minOccurs="0" maxOccurs="unbounded"/>

        <xs:element ref="SecurityMechID" minOccurs="0" maxOccurs="unbounded"/>

        <xs:element ref="Framework" minOccurs="0" maxOccurs="unbounded"/>

        <xs:element ref="Action" minOccurs="0" maxOccurs="unbounded"/>

        <xs:any namespace="##other"
          processContents="lax"
          minOccurs="0"
          maxOccurs="unbounded"/>

        </xs:sequence>

        <xs:attribute name="reqID" type="xs:string" use="optional" />
        <xs:attribute name="resultsType" type="xs:string" use="optional" />

      </xs:complexType>

## Functions

### lasso_idwsf2_disco_requested_service_new ()

    LassoIdWsf2DiscoRequestedService *
    lasso_idwsf2_disco_requested_service_new
                                   (void);

Creates a new LassoIdWsf2DiscoRequestedService object.

#### Returns

a newly created LassoIdWsf2DiscoRequestedService object

## Types and Values

### struct LassoIdWsf2DiscoRequestedService

    struct LassoIdWsf2DiscoRequestedService {
    	LassoNode parent;

    	/* elements */
    	GList *ServiceType; /* of strings */
    	GList *ProviderID; /* of strings */
    	GList *Options; /* of LassoIdWsf2DiscoOptions */
    	GList *SecurityMechID; /* of strings */
    	GList *Framework; /* of LassoIdWsf2SbfFramework */
    	GList *Action; /* of strings */
    	LassoNode *any;
    	/* attributes */
    	char *reqID;
    	char *resultsType;
    };